Get an AliExpress product's price and details
curl --request POST \
--url https://api.stophy.dev/v1/aliexpress/product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '<string>'})
};
fetch('https://api.stophy.dev/v1/aliexpress/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/aliexpress/product"
payload = { "product": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"product": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"price": 1,
"originalPrice": 1,
"currency": "<string>",
"rating": 123,
"reviews": 0,
"sold": 0,
"store": {
"name": "<string>",
"id": "<string>",
"sellerId": "<string>",
"positivePercent": 123
},
"options": [
{
"name": "<string>",
"values": [
"<string>"
]
}
],
"skus": [
{
"isAvailable": true,
"id": "<string>",
"attributes": "<string>",
"price": 1,
"originalPrice": 1,
"stock": 0
}
],
"specs": {},
"categoryId": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}AliExpress
AliExpress product API
Call the AliExpress product API to get title, images, price, original price, currency and rating, as JSON or markdown. 2 credits.
POST
/
v1
/
aliexpress
/
product
Get an AliExpress product's price and details
curl --request POST \
--url https://api.stophy.dev/v1/aliexpress/product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '<string>'})
};
fetch('https://api.stophy.dev/v1/aliexpress/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/aliexpress/product"
payload = { "product": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"product": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"price": 1,
"originalPrice": 1,
"currency": "<string>",
"rating": 123,
"reviews": 0,
"sold": 0,
"store": {
"name": "<string>",
"id": "<string>",
"sellerId": "<string>",
"positivePercent": 123
},
"options": [
{
"name": "<string>",
"values": [
"<string>"
]
}
],
"skus": [
{
"isAvailable": true,
"id": "<string>",
"attributes": "<string>",
"price": 1,
"originalPrice": 1,
"stock": 0
}
],
"specs": {},
"categoryId": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
aliexpress.product - Returns:
datahasproduct. - Cost: 2 credits. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.aliexpress.product({ product: "https://www.aliexpress.com/item/1005006109874231.html" });
console.log(result.data.product);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.aliexpress.product(product="https://www.aliexpress.com/item/1005006109874231.html")
print(result["data"]["product"])
curl -X POST https://api.stophy.dev/v1/aliexpress/product \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"product":"https://www.aliexpress.com/item/1005006109874231.html"}'
stophy aliexpress product https://www.aliexpress.com/item/1005006109874231.html
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json